<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head><title><!--{$UUDEV_PAGE_TITLE}--></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!--{include file=elements/header.css.html}-->
<!--{include file=elements/header.js.html type=common}-->
<!--{include file=elements/header.js.html type=valid}-->
<!--{include file=elements/header.js.html type=form}-->
<!--{include file=elements/header.js.html type=blockui}-->
</head>
<body>
<div id="outside">
	<!--{include file=frame/top.html}-->
	<div id="mainareaContent">
		<!--{include file=frame/left.html}-->
		<div id="rightContent">
			<div id="topContent">
				<div class="sitmap">
					<span class="r"><!--{include file="elements/uuadvad.html"}--></span>网站管理&nbsp;&gt;&nbsp;意见反馈
				</div>
			</div>
			<div id="secrightContent">
				<div class="tableContent">
					<form id="UserForm" action="index.php?r=Bug.post" method="post">
						<table class="tbl_edit" width="100%">
							<tr>
								<td class="td_name">BUG类型</td>
								<td class="td_content"><select name="type">
									<option value="0">前台BUG</option>
									<option value="1">后台BUG</option>
									<option value="2">功能体验</option>
								</select></td>
							</tr>
							<tr>
								<td class="td_name">操作系统</td>
								<td class="td_content"><select name="op_system">
									<option value="Windows Vista">Windows Vista</option>
									<option value="Windows Xp">Windows Xp</option>
									<option value="Windows NET">Windows2000</option>
									<option value="Windows 7">Windows 7</option>
									<option value="Linux">Linux</option>
									<option value="Unix">Unix</option>
									<option value="其他系统">其他系统</option>
								</select></td>
							</tr>
							<tr>
								<td class="td_name">浏览器</td>
								<td class="td_content"><select name="op_browser">
									<option value="IE6.0">IE6.0</option>
									<option value="IE7.0">IE7.0</option>
									<option value="IE8.0">IE8.0</option>
									<option value="IE9.0">IE9.0</option>
									<option value="火狐Firefox">火狐Firefox</option>
									<option value="世界之窗">世界之窗</option>
									<option value="opera">opera</option>
									<option value="其他">其他</option>
								</select></td>
							</tr>
							<tr>
								<td class="td_name">问题详细描述<span class="red">*</span></td>
								<td class="td_content"><textarea class="textarea" name="content" id="content"></textarea><span id="span_content"></span></td>
							</tr>
							<tr>
								<td class="noborder"></td>
								<td class="noborder"><button type="submit" class="butsubmit">提交</button></td>
							</tr>
						</table>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
<script>
$(document).ready(function(){
	$("#UserForm").submit(function(){
		var contentExist = false;
		if($("#content").val()){
			contentExist = true;
		}
		
		if(!contentExist)
		{
			$.errorUI({
				message:"问题详细描述不能为空！",
				showOverlay:true,
				autoHide:false,
				confirm:function(){}
			});
			return false;
		}
				
		$(this).ajaxSubmit({
			success:function(data){
				var o = eval("("+data+")");
				if(o.status){
					
					$.successUI({
						message:"提交成功！",
						showOverlay:true,
						autoHide:false,
						confirm:function(){setTimeout($.unblockUI, 300);window.location.reload();}
					});
				}else{
					$.errorUI({
						message:"提交失败",
						showOverlay:true,
						autoHide:false
					});
				}
				
			}
		});
		return false;
	});	
});
</script>
<script>
/*$(document).ready(function(){
	$("#UserForm").validate({
		rules: {
			"content": {
				required : true
			}
		},	
		messages: {
			"content": {
				required : "问题详细描述不能为空"
			}
		},
		errorPlacement: function(error, element){
			$("#span_" + element.attr("id")).html(error).attr("class", "error");
		},
		submitHandler: function(form){
			setDisabled(":button",window.document);
			form.submit();
		},
		errorClass: "invalid",
		success: function(label){
			label.parent().html("&nbsp;").attr("class", "valid");
		},
		onkeyup: false
	});
});*/
</script>
</html>